Kontakt and Kontakt 7 will not update

Options
MoBeach
MoBeach Member Posts: 8 Newcomer

I want to buy Fables which requires 7.5 and my Kontakt player is 6.7.1 and K7 is 7.3.0. I haven't been able to get either to update. The error says "Installation Failed" and that's it. Anyone have a fix?

When I click on Release Notes within Native Access for K7 it tells me it's 7.5.2. So I'm confused as to which versions I actually have. Will Fables run on this? PC i7 quad core

Comments

Back To Top